%define version	1.00
%define release	1.terabapu
%define name festival-gaim

Name: %name
Summary: Voice plugin for gaim
Version: %version
Release: %release
Group: Internet/multimedia
Copyright: GPL
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}//%{name}-%{version}-root
Requires: gaim festival
%description
This plugin speak your incoming messages from gaim
It use festival and is configurable.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/gaim
make FESTIVAL_VOICES_PATH=%{_datadir}/festival/voices PLUGIN_VERSION=%{version}
make PLUGIN_GAIM_PATH=$RPM_BUILD_ROOT/%{_libdir}/gaim install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc INSTALL README LICENSE THANKS
%{_libdir}/gaim/festival.so

%changelog
* Mon Sep 09 2004 Tera Bapu <rishsharma@yahoo.com>
- Updated for gaim 1.00

* Wed Aug 11 2004 Tera Bapu <rishsharma@yahoo.com>
- Updated for gaim 0.81
- Added Gustavo Matheus Rahal <gustavo@grahal.net> translations for Portuguese. Make sure your Lang is set!

* Tue Jun 08 2004 Tera Bapu <rishsharma@yahoo.com>
- Updated for gaim 0.78.
- Added Stu Tomlinson's patch for gaim-encryption compatibility
- Added Aaron Bentley's patches for double quotes, better support for /me idiom, and IRC shortened joined/left messages for group chats.

* Fri Apr 23 2004 Tera Bapu <rishsharma@hotmail.com>
- Sigh... Wish the gaim people would use backwards compatibility. Had to do this right after the last update too! bleh.
- Updated to use gaim 0.77 header files.

* Tue Apr 20 2004 Tera Bapu <rishsharma@hotmail.com>
- Added the ability to ignore messages that are too big.

* Sat Oct 11 2003 Tera Bapu <rishsharma@hotmail.com>
- Fantastic.  Right after I update to 0.70 files, they change again! grr. Fixed for gaim 0.71.

* Thu Oct 09 2003 Tera Bapu <rishsharma@hotmail.com>
- Updated code to gaim 0.70 head files
- Added new feature for announcing buddy events
- In order bypass a slurry of names when first connecting, it waits to be activated 10 sec until after the last connection.

* Tue Oct 07 2003 Tera Bapu <rishsharma@hotmail.com>
- Fixed a segfault when LANG setting is not set

* Fri Sep 05 2003 Tera Bapu <rishsharma@hotmail.com>
- Fixed for gaim 0.68. Cleaned up code a lot. Also
- uses the sound daemon specified in gaim config.
- However it only works with arts and esd (and of course oss and alsa).

* Sat Jul 19 2003 Tera Bapu <rishsharma@hotmail.com>
- Fixed for gaim 0.66

* Sat Jun 28 2003 Tera Bapu <rishsharma@hotmail.com>
- added a toggle for the strip URLS portion

* Sat Jun 28 2003 Tera Bapu <rishsharma@hotmail.com>
- added says to prepend the name of buddy

* Sat Jun 28 2003 Tigrux <tigrux@ximian.com>
- 0.64 
- Updated to gaim 0.64.
- Strip URLs
- Can prepend the name of the buddy

* Sun Apr 13 2003 Tigrux <tigrux@avantel.net>
- 0.5
- Updated to gaim 0.6.

* Thu Jun 20 2002 Tigrux <tigrux@avantel.net>
- 0.4.2
- minor bugfix.

* Wed Jun 19 2002 Tigrux <tigrux@avantel.net>
- 0.4.1
- bugfix, read conf at init, quit festival at unload

* Wed Jun 19 2002 Tigrux <tigrux@avantel.net>
- 0.4
- use popen stuff instead system
- more error managament
- can configure stretch duration

* Sun Jun 9 2002 Tigrux <tigrux@avantel.net>
- 0.3
- I18n support, English translation, bug fixes, and UI improvement.

* Fri Jun 7 2002 Tigrux <tigrux@avantel.net>
- 0.2
- Added configuration

* Sun Jun 2 2002 Tigrux <tigrux@avantel.net>
- 0.1
- First rpm
